Bug 826882 - g++44 code crashes when compiled with -O2 -fPIC and -O3 -fPIC
Summary: g++44 code crashes when compiled with -O2 -fPIC and -O3 -fPIC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gcc
Version: 6.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jakub Jelinek
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On: 556962
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-31 08:05 UTC by Jakub Jelinek
Modified: 2013-02-21 10:26 UTC (History)
6 users (show)

Fixed In Version: gcc-4.4.7-2.el6
Doc Type: Bug Fix
Doc Text:
Previously, the C++ compiler was incorrectly optimizing away certain checks, if we were assigning an integer value, bigger than the last element of an enum, to that enum using static_cast. This has been fixed so that now the compiler does not removes such checks.
Clone Of: 556962
Environment:
Last Closed: 2013-02-21 10:26:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0420 normal SHIPPED_LIVE gcc bug fix update 2013-02-20 21:08:01 UTC

Comment 6 errata-xmlrpc 2013-02-21 10:26:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0420.html


Note You need to log in before you can comment on or make changes to this bug.